## Containers

This repository contains various docker images that I found useful. These are
typically not very complex, usually not more than an alpine image with a few
packages installed.

Right now I'm using these primarily in my Woodpecker CI steps, but they are
regular docker images and can be used anywhere.

### rsync

Gives you access to `rsync`, `ssh`, and `scp` commands.

### rust

Rust stable toolchain, with `rustup`, `fmt`, `clippy`, `llvm-cov`, `llvm-tools`, and `audit`.

---

## Adding a new container

1. Add a new folder, named after the container.
1. Create a Dockerfile inside of that folder, and fill out the dockerfile.
1. Go to Dockerhub, and create a repository for this new container.
1. Under `.woodpecker/`, copy an existing pipeline. Name the copy after the container.
1. Update the new pipeline:
   - Update the `repo: ...` to match the new repo you created
   - Point `dockerfile: ...` to the new dockerfile
   - Update `when: ...` condition so it's built when the correct folder is updated
